LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu
User Name
Password
Ubuntu This forum is for the discussion of Ubuntu Linux.

Notices

Reply
 
LinkBack Search this Thread
Old 03-29-2007, 07:40 AM   #1
acidblue
Member
 
Registered: Apr 2003
Posts: 144

Rep: Reputation: 15
Wireshark won't install on Dapper


Using dapper:
I found a .deb pkg for Wireshark and am tring to install it, but it
kicks an error 'dependicies not met libatk1.0-0'
I checked synaptic and libatk1.0-0 is installed in fact i installed dev and dbg versions
as well but i still get this error.
I am trying to replace ethereal since i am told it is old and buggy and should upgrade to Wireshark, but it's next to impossible to get installed in dapper.
its not even in the dapper repositories.

tried compiling from source but got a 'GTK+ not found" error, that too is installed
according to synaptic.

AAAARRRRGGG! why is wireshark being so difficult?
please help!
Edit/Delete Message
 
Old 03-30-2007, 04:01 AM   #2
vangelis
Member
 
Registered: Nov 2004
Location: Hellas
Distribution: Zenwalk 6.4
Posts: 337
Blog Entries: 4

Rep: Reputation: 30
I got it installed by enabling universe and multiverse repositories and it worked like a charm. Have you tried it?
 
Old 03-30-2007, 08:58 AM   #3
acidblue
Member
 
Registered: Apr 2003
Posts: 144

Original Poster
Rep: Reputation: 15
Yes all repositories are enable on my system.
Are u using Dapper?
 
Old 04-02-2007, 02:50 PM   #4
caliskan
LQ Newbie
 
Registered: Apr 2007
Posts: 1

Rep: Reputation: 0
Quote:
Originally Posted by acidblue
Using dapper:
I found a .deb pkg for Wireshark and am tring to install it, but it
kicks an error 'dependicies not met libatk1.0-0'
I checked synaptic and libatk1.0-0 is installed in fact i installed dev and dbg versions
as well but i still get this error.
I am trying to replace ethereal since i am told it is old and buggy and should upgrade to Wireshark, but it's next to impossible to get installed in dapper.
its not even in the dapper repositories.

tried compiling from source but got a 'GTK+ not found" error, that too is installed
according to synaptic.

AAAARRRRGGG! why is wireshark being so difficult?
please help!
Edit/Delete Message
I built Wireshark 0.99.5 from source using the "manual install" instructions at:

opensource DOT qwertzy DOT com SLASH wireshark_tutorial DOT php

and things worked fine. For your reference, the instructions at that site are:

-------------------------------
MANUAL INSTALL:

Install the compilation tools:

#apt-get install build-essential

To compile Wireshark successfully, you need to install the development files for the GTK+ and GLib libraries.

#apt-get install libgtk2.0-dev libglib2.0-dev

Install Checkinstall to easier manage your softwares installed from their source code.

#apt-get install checkinstall
Download and uncompress the Wireshark source code:

#tar -xvf wireshark-0.99.5.tar.gz
Check the Wireshark dependencies:

#cd wireshark-0.99.5
#./configure
If you see this error message, you need to install the GTK+ and GLib libraries as indicated above:

checking for GTK+ - version >= 2.0.0... no
*** Could not run GTK+ test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GTK+ is incorrectly installed.
checking for pkg-config... (cached) /usr/bin/pkg-config
checking for GLIB - version >= 2.0.0... no
*** Could not run GLIB test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GLIB is incorrectly installed.
configure: error: GLib2 distribution not found.

Compile and install the tool:

#make
#checkinstall

To launch Wireshark:

#wireshark
-----------------------
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Dapper install stalls at 70% Optiker Ubuntu 17 12-29-2006 07:53 AM
X Won't Start on New Dapper Install barryfandango Ubuntu 1 09-03-2006 12:47 AM
dapper won't install, just hangs!! blastradius Ubuntu 11 08-21-2006 10:15 AM
problem install dapper rc unisol Ubuntu 5 06-02-2006 10:19 AM
Ubuntu Dapper BETA to Official Dapper? morrolan Ubuntu 4 05-26-2006 03:47 PM


All times are GMT -5. The time now is 10:49 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration